.footer {
    padding: 132px 60px 72px;
    height: initial !important;
}

.footer__container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer__logo,
.footer__btn {
    margin-bottom: 28px;
}

.footer__logo img {
    width: clamp(64px, 18vw, 108px);
    height: auto;
    display: block;
}

.footer__address {
    text-decoration: underline;
    margin-bottom: 16px;
    text-align: center;
}

.footer__links {
    display: flex;
    gap: 16px;
    margin-bottom: 16px;
}


.footer__social-links {
	display: flex;
    gap: 16px;
}

.footer__social-link {
	width: 28px;
	cursor: pointer;
}

.footer__social-link svg path {
	transition: fill 0.5s ease-in-out;
}

.footer__social-link:hover, 
.footer__social-link:focus, 
.footer__social-link:active {
	opacity: 1;
}

.footer__social-link:hover svg path {
	fill: var(--color-accent-hover);
}

.footer__social-link:focus svg path, 
.footer__social-link:active svg path {
	fill: var(--color-accent-active);
}

@media screen and (max-width: 1500px) {
    .footer {
        padding-top: 72px;
    }
}

@media screen and (max-width: 1200px) {
    .footer {
        padding: 36px;
    }
}

